Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Sat, 1 Oct 2022 09:23:12 +0200

On Sat, 1 Oct 2022 at 09:10, Eli Zaretskii <[email-masked]> wrote:

> > From: Pedro Andres Aranda Gutierrez <[email-masked]>
> > Date: Sat, 1 Oct 2022 08:14:36 +0200
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
>
> I understand your use case.  I'm arguing about the default, not about
> the need to support your use case.  The default should be to redraw
> the frame, and your use case should be supported by having some
> variable that you could bind around the call of the macro, to prevent
> redrawing.
>

Good, I could live with that

> > Maybe we should leave this macro as-is because of the legacy and work
> towards something in the line of the
> > cl-setlocale function in Common LISP.
>
> Common Lisp is just a programming language, it is not a display
> editor.  In Emacs, certain operations that affect the display should
> be immediately reflected on display.
>

So, one implication of my question is whether all operations that need a
specific locale to be set need the display redrawn...

> If you look at 'man setlocale' as an inspiration of what I would be
> dreaming of...
>
> setlocale is a low-level function that is called by Emacs as part of
> this macro.

I know, and I was wondering if we could create an Elisp construct that
*only* uses setlocate if we are sure that we do not need to redraw the
screen

I think we are approaching 'violent agreement' :-)

Thx, /PA

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet